
Ruby - Bug #3324

build failure revision 27918

05/20/2010 09:31 PM - sapsford55 (david .sapsford)

Status: Third Party's Issue   

Priority: Normal   

Assignee:    

Target version:    

ruby -v:  Backport:  

Description

=begin

they seem to have bumped the revision to 27918 and now it fails at

ruby -I../ruby_1_9 ../ruby_1_9/tool/compile_prelude.rb ../ruby_1_9/ prelude.rb miniprelude.c ../ruby_1_9/tool/compile_prelude.rb:7:in

require': no such file to load -- erb (Load Error) from ../ruby_1_9/tool/compile_prelude.rb:7:in 'make:

*** [miniprelude.c] Error 1

rake aborted!

Command failed with status (2): ["C:/rubyinstaller/sandbox/msys/bin/bash.ex...]

However erb is present at ../ruby_1_9/bin

Just to make sure I wasn't missing something I put that directory in my path with no avail. Looking at erb it contains "require erb" is

that right it seems like a circular reference.

=end

History

#1 - 05/20/2010 11:53 PM - hdm (HD Moore)

=begin

I too am hitting this problem (using rubyinstaller and mingw32)

=end

#2 - 05/21/2010 04:55 AM - hdm (HD Moore)

=begin

The command line requires the addition of -I ../ruby_1_9/lib, however the build still fails generating encodings

=end

#3 - 05/21/2010 05:34 AM - hdm (HD Moore)

=begin

This is fixed upstream in rubyinstaller; git pull && rebuild

=end

#4 - 05/22/2010 02:01 PM - nobu (Nobuyoshi Nakada)

- Status changed from Open to Third Party's Issue

=begin

=end
